<?php

class economicInvoicesDrafts extends economic_m
{
    public function createInvoiceDraft(array $data): object
    {
        // Create a draft invoice
        $url = '/invoices/drafts';
        $response = $this->send_request($url, 'POST', json_encode($data));
        return json_decode($response);
    }

    public function getLayouts(): object
    {
        // Get all the layouts
        $url = '/layouts';
        $response = $this->send_request($url, 'GET');
        return json_decode($response);
    }

}